public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sergey Popov" <pinkbyte@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-p2p/retroshare/
Date: Mon, 23 Apr 2018 08:30:27 +0000 (UTC)	[thread overview]
Message-ID: <1524471475.d8c67d39d2f55d9fe283ff83728d77a5ff3ee995.pinkbyte@gentoo> (raw)

commit:     d8c67d39d2f55d9fe283ff83728d77a5ff3ee995
Author:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
AuthorDate: Mon Apr 23 08:17:55 2018 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Mon Apr 23 08:17:55 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8c67d39

net-p2p/retroshare: version bump

Closes: https://bugs.gentoo.org/650450
Package-Manager: Portage-2.3.31, Repoman-2.3.9

 net-p2p/retroshare/Manifest                |   1 +
 net-p2p/retroshare/retroshare-0.6.4.ebuild | 154 +++++++++++++++++++++++++++++
 2 files changed, 155 insertions(+)

diff --git a/net-p2p/retroshare/Manifest b/net-p2p/retroshare/Manifest
index 5703bb17982..c4d253bbba6 100644
--- a/net-p2p/retroshare/Manifest
+++ b/net-p2p/retroshare/Manifest
@@ -1,2 +1,3 @@
 DIST retroshare-0.6.2.tar.gz 18523943 BLAKE2B 92be204bcc028685651af9d5eecbde655a37c649e5e2423fb4114b00d392cd9f15292bcba5b8f5069c30b1d7ccb177b31842105595e8fb29ac8970404f9040d8 SHA512 7b935321f436d72948c5c0286ef5e0236bd52d1b25f00980a3b3644ae4acbde043063279f90f6bc0356363bceda484aba57e160f34f013dde120b4f6969ef6c7
 DIST retroshare-0.6.3.tar.gz 19699359 BLAKE2B 5a7a77b5ab43d44928e08fd1edc3bd6baa8b42f5c1e68fb079d3c60786c1068914a4f7a4b32fe4b683e7b990fac1bd09e5af66a09a3e9b7013e5b51b3c69ae8c SHA512 ee699ddc71aba3d20498d46e8183953b948896709d1469a5d5374b7c9b7955e460326b1ea3fe6f87e7235c5d2d5e8f042161410a0990b2dd2a44b42551fb5757
+DIST retroshare-0.6.4.tar.gz 20018361 BLAKE2B 63a32ee3a22f4df8b9f6cff149be2c9a9cf18ac895456c808885d510b261f683bf57141b8beb4a0206f7e61eb5c88ce505440956ccdf963ad6ad7f7a73679fb3 SHA512 7fcca6479b73cb4d70532fe46bb4cf24332d523b14a198a0e81689d0e00b62ca300d167be5ac282200e97f5fd9dc6b6c3a2c992ab1daa25846db1a404bf616f8

diff --git a/net-p2p/retroshare/retroshare-0.6.4.ebuild b/net-p2p/retroshare/retroshare-0.6.4.ebuild
new file mode 100644
index 00000000000..89ef994223c
--- /dev/null
+++ b/net-p2p/retroshare/retroshare-0.6.4.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit eutils gnome2-utils qmake-utils versionator
+
+DESCRIPTION="P2P private sharing application"
+HOMEPAGE="http://retroshare.net"
+SRC_URI="https://github.com/RetroShare/RetroShare/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+# pegmarkdown can also be used with MIT
+LICENSE="GPL-2 GPL-3 Apache-2.0 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="cli feedreader gnome-keyring +gui voip"
+REQUIRED_USE="
+	|| ( cli gui )
+	feedreader? ( gui )
+	voip? ( gui )"
+
+RDEPEND="
+	app-arch/bzip2
+	dev-db/sqlcipher
+	dev-libs/openssl:0
+	dev-qt/qtcore:5
+	dev-qt/qtmultimedia:5
+	dev-qt/qtnetwork:5
+	dev-qt/qtprintsupport:5
+	dev-qt/qtscript:5
+	dev-qt/qtxml:5
+	net-libs/libmicrohttpd
+	net-libs/libupnp:0
+	sys-libs/zlib
+	gnome-keyring? ( gnome-base/libgnome-keyring )
+	feedreader? (
+		dev-libs/libxml2
+		dev-libs/libxslt
+		net-misc/curl
+	)
+	gui? (
+		dev-qt/designer:5
+		dev-qt/qtgui:5
+		dev-qt/qtwidgets:5
+		dev-qt/qtx11extras:5
+		x11-libs/libX11
+		x11-libs/libXScrnSaver
+	)
+	voip? (
+		media-libs/opencv[-qt4(-)]
+		media-libs/speex
+		media-libs/speexdsp
+		virtual/ffmpeg[encode]
+	)"
+DEPEND="${RDEPEND}
+	virtual/pkgconfig
+"
+
+S="${WORKDIR}/RetroShare-${PV}"
+
+src_prepare() {
+	local dir
+
+	sed -i \
+		-e "s|/usr/lib/retroshare/extensions6/|/usr/$(get_libdir)/${PN}/extensions6/|" \
+		libretroshare/src/rsserver/rsinit.cc \
+		|| die "sed on libretroshare/src/rsserver/rsinit.cc failed"
+
+	rs_src_dirs="libbitdht/src openpgpsdk/src libresapi/src libretroshare/src supportlibs/pegmarkdown"
+	use cli && rs_src_dirs="${rs_src_dirs} retroshare-nogui/src"
+	use feedreader && rs_src_dirs="${rs_src_dirs} plugins/FeedReader"
+	use gui && rs_src_dirs="${rs_src_dirs} retroshare-gui/src"
+	use voip && rs_src_dirs="${rs_src_dirs} plugins/VOIP"
+
+	# Force linking to sqlcipher ONLY
+	sed -i \
+		-e '/isEmpty(SQLCIPHER_OK) {/aerror(libsqlcipher not found)' \
+		retroshare-gui/src/retroshare-gui.pro \
+		retroshare-nogui/src/retroshare-nogui.pro || die 'sed on retroshare-gui/src/retroshare-gui.pro failed'
+
+	# Avoid openpgpsdk false dependency on qtgui
+	sed -i '2iQT -= gui' openpgpsdk/src/openpgpsdk.pro || die
+
+	eapply_user
+}
+
+src_configure() {
+	for dir in ${rs_src_dirs} ; do
+		pushd "${S}/${dir}" >/dev/null || die
+		eqmake5 $(use gnome-keyring && echo CONFIG+=rs_autologin)
+		popd >/dev/null || die
+	done
+}
+
+src_compile() {
+	local dir
+
+	for dir in ${rs_src_dirs} ; do
+		emake -C "${dir}"
+	done
+
+	unset rs_src_dirs
+}
+
+src_install() {
+	local i
+	local extension_dir="/usr/$(get_libdir)/${PN}/extensions6/"
+
+	use cli && dobin retroshare-nogui/src/retroshare-nogui
+	use gui && dobin retroshare-gui/src/retroshare
+
+	exeinto "${extension_dir}"
+	use feedreader && doexe plugins/FeedReader/*.so*
+	use voip && doexe plugins/VOIP/*.so*
+
+	insinto /usr/share/retroshare
+	doins libbitdht/src/bitdht/bdboot.txt
+
+	doins -r libresapi/src/webui
+
+	dodoc README.md
+	make_desktop_entry retroshare
+	for i in 24 48 64 128 ; do
+		doicon -s ${i} "data/${i}x${i}/apps/retroshare.png"
+	done
+}
+
+pkg_preinst() {
+	local ver
+	for ver in ${REPLACING_VERSIONS}; do
+		if ! version_is_at_least 0.5.9999 ${ver}; then
+			elog "You are upgrading from Retroshare 0.5.* to ${PV}"
+			elog "Version 0.6.* is backward-incompatible with 0.5 branch"
+			elog "and clients with 0.6.* can not connect to clients that have 0.5.*"
+			elog "It's recommended to drop all your configuration and either"
+			elog "generate a new certificate or import existing from a backup"
+			break
+		fi
+		if version_is_at_least 0.6.0 ${ver}; then
+			elog "Main executable was renamed upstream from RetroShare06 to retroshare"
+			break
+		fi
+	done
+	gnome2_icon_savelist
+}
+
+pkg_postinst() {
+	gnome2_icon_cache_update
+}
+
+pkg_postrm() {
+	gnome2_icon_cache_update
+}


             reply	other threads:[~2018-04-23  8:30 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-23  8:30 Sergey Popov [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-09-13  7:42 [gentoo-commits] repo/gentoo:master commit in: net-p2p/retroshare/ Joonas Niilola
2024-09-13  7:42 Joonas Niilola
2024-07-04  1:29 Sam James
2024-07-04  1:23 Sam James
2024-07-04  1:23 Sam James
2024-07-04  1:23 Sam James
2024-05-24 13:49 Joonas Niilola
2024-05-24  7:51 Joonas Niilola
2024-05-24  7:51 Joonas Niilola
2024-03-03 20:38 Andreas K. Hüttel
2023-05-18 12:17 Andreas Sturmlechner
2021-12-09 16:24 Agostino Sarubbo
2021-12-07  7:48 Agostino Sarubbo
2021-10-31  8:21 Joonas Niilola
2021-08-07  5:51 Ionen Wolkens
2021-03-12 16:01 Ben Kohler
2021-03-11 13:30 Sam James
2021-03-11  2:35 Sam James
2021-02-06 18:04 Ben Kohler
2021-02-06 16:25 Ben Kohler
2021-02-03 18:18 Ben Kohler
2020-05-11 16:49 Agostino Sarubbo
2020-05-08  6:38 Agostino Sarubbo
2020-04-28 17:47 Matt Turner
2020-04-26 11:00 David Seifert
2020-03-20  7:02 Joonas Niilola
2020-03-19 13:48 Joonas Niilola
2020-03-19 13:48 Joonas Niilola
2020-01-12 11:14 David Seifert
2019-05-15 12:48 Andreas Sturmlechner
2019-05-15 12:48 Andreas Sturmlechner
2018-11-07  9:26 Sergey Popov
2018-09-09  8:25 Mikle Kolyada
2018-09-09  1:12 Thomas Deutschmann
2018-08-21  8:27 Andreas Sturmlechner
2018-08-21  8:27 Andreas Sturmlechner
2018-06-09 21:15 Michał Górny
2018-04-23  8:30 Sergey Popov
2018-04-23  8:30 Sergey Popov
2018-04-23  8:30 Sergey Popov
2018-04-23  8:30 Sergey Popov
2017-08-02  9:28 Sergey Popov
2017-07-28 13:06 Sergey Popov
2017-06-13 16:09 Sergey Popov
2017-06-13 16:09 Sergey Popov
2017-03-27 13:44 Sergey Popov
2017-01-12 13:49 Sergey Popov
2017-01-12 13:49 Sergey Popov
2016-12-15  8:44 Sergey Popov
2016-12-06 12:30 Sergey Popov
2016-12-06 12:30 Sergey Popov
2016-08-17 14:19 Sergey Popov
2016-08-17 14:19 Sergey Popov
2016-07-27 21:00 Sergey Popov
2016-06-18 11:49 Sergey Popov
2016-04-26  9:23 Sergey Popov
2016-03-05 15:50 Mikle Kolyada
2016-02-08 19:00 Sergey Popov
2016-02-08 19:00 Sergey Popov
2015-09-22 10:18 Sergey Popov
2015-09-22 10:18 Sergey Popov
2015-09-21 18:23 Sergey Popov
2015-08-12 10:19 Sergey Popov
2015-08-10  4:28 Robin H. Johnson

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1524471475.d8c67d39d2f55d9fe283ff83728d77a5ff3ee995.pinkbyte@gentoo \
    --to=pinkbyte@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox